uk.gov.hmrc.wco.dec

# Declaration

###
Related Doc: package dec

#### case class Declaration(acceptanceDateTime: Option[DateTimeElement] = None, functionCode: Option[Int] = None, functionalReferenceId: Option[String] = None, id: Option[String] = None, issueDateTime: Option[DateTimeElement] = None, issueLocationId: Option[String] = None, typeCode: Option[String] = None, goodsItemQuantity: Option[Int] = None, declarationOfficeId: Option[String] = None, invoiceAmount: Option[Amount] = None, loadingListQuantity: Option[Int] = None, totalGrossMassMeasure: Option[Measure] = None, totalPackageQuantity: Option[Int] = None, specificCircumstancesCode: Option[String] = None, authentication: Option[Authentication] = None, submitter: Option[NamedEntityWithAddress] = None, additionalDocuments: Seq[AdditionalDocument] = Seq.empty, additionalInformations: Seq[AdditionalInformation] = Seq.empty, agent: Option[Agent] = None, amendments: Seq[Amendment] = Seq.empty, authorisationHolders: Seq[AuthorisationHolder] = Seq.empty, borderTransportMeans: Option[BorderTransportMeans] = None, currencyExchanges: Seq[CurrencyExchange] = Seq.empty, declarant: Option[ImportExportParty] = None, exitOffice: Option[Office] = None, exporter: Option[ImportExportParty] = None, goodsShipment: Option[GoodsShipment] = None, obligationGuarantees: Seq[ObligationGuarantee] = Seq.empty, presentationOffice: Option[Office] = None, supervisingOffice: Option[Office] = None) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Declaration
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Declaration(acceptanceDateTime: Option[DateTimeElement] = None, functionCode: Option[Int] = None, functionalReferenceId: Option[String] = None, id: Option[String] = None, issueDateTime: Option[DateTimeElement] = None, issueLocationId: Option[String] = None, typeCode: Option[String] = None, goodsItemQuantity: Option[Int] = None, declarationOfficeId: Option[String] = None, invoiceAmount: Option[Amount] = None, loadingListQuantity: Option[Int] = None, totalGrossMassMeasure: Option[Measure] = None, totalPackageQuantity: Option[Int] = None, specificCircumstancesCode: Option[String] = None, authentication: Option[Authentication] = None, submitter: Option[NamedEntityWithAddress] = None, additionalDocuments: Seq[AdditionalDocument] = Seq.empty, additionalInformations: Seq[AdditionalInformation] = Seq.empty, agent: Option[Agent] = None, amendments: Seq[Amendment] = Seq.empty, authorisationHolders: Seq[AuthorisationHolder] = Seq.empty, borderTransportMeans: Option[BorderTransportMeans] = None, currencyExchanges: Seq[CurrencyExchange] = Seq.empty, declarant: Option[ImportExportParty] = None, exitOffice: Option[Office] = None, exporter: Option[ImportExportParty] = None, goodsShipment: Option[GoodsShipment] = None, obligationGuarantees: Seq[ObligationGuarantee] = Seq.empty, presentationOffice: Option[Office] = None, supervisingOffice: Option[Office] = None)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val acceptanceDateTime: Option[DateTimeElement]

5. #### val additionalDocuments: Seq[AdditionalDocument]

6. #### val additionalInformations: Seq[AdditionalInformation]

7. #### val agent: Option[Agent]

8. #### val amendments: Seq[Amendment]

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### val authentication: Option[Authentication]

11. #### val authorisationHolders: Seq[AuthorisationHolder]

12. #### val borderTransportMeans: Option[BorderTransportMeans]

13. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

14. #### val currencyExchanges: Seq[CurrencyExchange]

15. #### val declarant: Option[ImportExportParty]

16. #### val declarationOfficeId: Option[String]

17. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### val exitOffice: Option[Office]

19. #### val exporter: Option[ImportExportParty]

20. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

21. #### val functionCode: Option[Int]

22. #### val functionalReferenceId: Option[String]

23. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

24. #### val goodsItemQuantity: Option[Int]

25. #### val goodsShipment: Option[GoodsShipment]

26. #### val id: Option[String]

27. #### val invoiceAmount: Option[Amount]

28. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

29. #### val issueDateTime: Option[DateTimeElement]

30. #### val issueLocationId: Option[String]

31. #### val loadingListQuantity: Option[Int]

32. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

33. #### final def notify(): Unit

    Definition Classes
      AnyRef

34. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

35. #### val obligationGuarantees: Seq[ObligationGuarantee]

36. #### val presentationOffice: Option[Office]

37. #### val specificCircumstancesCode: Option[String]

38. #### val submitter: Option[NamedEntityWithAddress]

39. #### val supervisingOffice: Option[Office]

40. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

41. #### val totalGrossMassMeasure: Option[Measure]

42. #### val totalPackageQuantity: Option[Int]

43. #### val typeCode: Option[String]

44. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped